Ruby master - Bug #5339

ERB generates extra newlines on Windows
09/20/2011 01:02 AM - DNNX (Viktar Basharymau)

Status: Closed

Priority: Normal

Assignee: kOkubun (Takashi Kokubun)

Target version: 25

ruby -v: ruby 1.9.2p290 (2011-07-09) Backport:
[(386-mingw32]

2.2: REQUIRED, 2.3: DONE, 2.4: DONE

Description
Steps to reproduce:
(1) Create files from this gist: https:/gist.github.com/1226780.

(2) Run ruby erbug.rb.
(3) If you're on windows, you'll see something like
o2
3 Otherwise, it will be like this:
This bug also affects bundler gem (see https:/github.com/carlhuda/bundler/issues/1371).

Associated revisions

Revision b82ed2ce - 05/20/2017 05:17 PM - kOkubun (Takashi Kokubun)

erb.rb: Allow explicit trimming carriage return

when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58825 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 58825 - 05/20/2017 05:17 PM - kOkubun (Takashi Kokubun)
erb.rb: Allow explicit trimming carriage return

when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]

Revision 58825 - 05/20/2017 05:17 PM - kOkubun (Takashi Kokubun)
erb.rb: Allow explicit trimming carriage return

when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]

Revision 58825 - 05/20/2017 05:17 PM - kOkubun (Takashi Kokubun)
erb.rb: Allow explicit trimming carriage return

when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]
https://gist.github.com/1226780
https://github.com/carlhuda/bundler/issues/1371

Revision 58826 - 05/20/2017 05:36 PM - kOkubun (Takashi Kokubun)

erb.rb: Allow trimming CR in all trim_modes
to unify a behavior with r58823 and r58825.
Revision 17b77906 - 06/30/2017 11:24 AM - usa (Usaku NAKAMURA)
merge revision(s) 58825,58826: [Backport #5339]
erb.rb: Allow explicit trimming carriage return
when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]
erb.rb: Allow trimming CR in all trim_modes

to unify a behavior with r58823 and r58825.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59226 b2dd03c8-39d4-4d8f-98ff-823fe690080e

Revision 59226 - 06/30/2017 11:24 AM - usa (Usaku NAKAMURA)
merge revision(s) 58825,58826: [Backport #5339]

erb.rb: Allow explicit trimming carriage return
when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]
erb.rb: Allow trimming CR in all trim_modes

to unify a behavior with r58823 and r58825.
Revision 420151cf - 07/09/2017 08:06 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 58825,58826: [Backport #5339]

erb.rb: Allow explicit trimming carriage return

when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]
erb.rb: Allow trimming CR in all trim_modes

to unify a behavior with r58823 and r58825.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59301 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 59301 - 07/09/2017 08:06 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 58825,58826: [Backport #5339]

erb.rb: Allow explicit trimming carriage return
when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]
erb.rb: Allow trimming CR in all trim_modes

to unify a behavior with r58823 and r58825.

History

#1 - 03/11/2012 03:46 PM - ko1 (Koichi Sasada)
- Category set to lib
- Status changed from Open to Assigned

- Assignee set to seki (Masatoshi Seki)

#2 - 05/16/2017 01:23 AM - hsbt (Hiroshi SHIBATA)
- Target version set to 2.5

- Assignee changed from seki (Masatoshi Seki) to kOkubun (Takashi Kokubun)
#3 - 05/20/2017 12:02 AM - kOkubun (Takashi Kokubun)
- Is duplicate of Bug #11464: ERB trimming doesn't trim carriage returns added

#4 - 05/20/2017 03:56 PM - kOkubun (Takashi Kokubun)
- Is duplicate of deleted (Bug #11464: ERB trimming doesn't trim carriage returns)

#5 - 05/20/2017 05:17 PM - kOkubun (Takashi Kokubun)

- Status changed from Assigned to Closed

Applied in changeset trunk|r58825.

erb.rb: Allow explicit trimming carriage return
when trim_mode is "-", for Windows environments.

[ruby-core:39625] [Bug #5339]

#6 - 05/20/2017 08:17 PM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED

#7 - 06/30/2017 11:24 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.2: REQUIRED, 2.3: DONE, 2.4: REQUIRED

ruby_2_3 r59226 merged revision(s) 58825,58826.

#8 - 07/09/2017 08:06 PM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.2: REQUIRED, 2.3: DONE, 2.4: REQUIRED to 2.2: REQUIRED, 2.3: DONE, 2.4: DONE

ruby_2_4 r59301 merged revision(s) 58825,58826.
